## ros-indigo-hironx-moveit-config 2.1.1

=== Makefile ===
# make file for robbuild system,
all: models/HiroNX.urdf

models/meshes:
	mkdir -p models/meshes

models/HiroNX.urdf: models/meshes
	echo "== generate urdf file from kawada-hironx.dae"
	(cd models; rosrun collada_urdf collada_to_urdf `rospack find hironx_ros_bridge`/models/kawada-hironx.dae -A --mesh_output_dir ${CURDIR}/models/meshes --mesh_prefix 'package://hironx_moveit_config/models/meshes')

=== debian/changelog ===
ros-indigo-hironx-moveit-config (2.1.1-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 20 Feb 2019 00:00:00 -0000

ros-indigo-hironx-moveit-config (2.1.0-0trusty) trusty; urgency=high

  * set trajectory_execution/allowed_execution_duration_scaling to 2.0 (#518 <https://github.com/start-jsk/rtmros_hironx/issues/518>)
    - Same as https://github.com/tork-a/rtmros_nextage/commit/b568101055fec975b6130cebf6150f85106e3bee
    - see https://answers.ros.org/question/196586/how-do-i-disable-execution_duration_monitoring/
    * Change to use moveit_simple_controller
  * Contributors: Ryosuke Tajima

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 07 Sep 2017 00:00:00 -0000

ros-indigo-hironx-moveit-config (2.0.0-0trusty) trusty; urgency=high

  * Use docker to run tests and add kinetic test (#517 <https://github.com/start-jsk/rtmros_hironx/issues/517>)
    * remove pr2_controller_msgs and use control_msgs
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 10 Aug 2017 00:00:00 -0000

ros-indigo-hironx-moveit-config (1.1.25-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 02 Jun 2017 00:00:00 -0000

ros-indigo-hironx-moveit-config (1.1.24-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 09 May 2017 00:00:00 -0000

ros-indigo-hironx-moveit-config (1.1.23-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 03 Apr 2017 00:00:00 -0000

ros-indigo-hironx-moveit-config (1.1.22-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 24 Mar 2017 00:00:00 -0000

ros-indigo-hironx-moveit-config (1.1.21-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Mar 2017 00:00:00 -0000

ros-indigo-hironx-moveit-config (1.1.20-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 09 Feb 2017 00:00:00 -0000

ros-indigo-hironx-moveit-config (1.1.19-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 Jan 2017 00:00:00 -0000

ros-indigo-hironx-moveit-config (1.1.18-0trusty) trusty; urgency=high

  * [fix][moveit config] Fix Interactive Marker size.
  * Contributors: Isaac I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 28 Oct 2016 00:00:00 -0000

ros-indigo-hironx-moveit-config (1.1.17-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 13 Oct 2016 00:00:00 -0000

ros-indigo-hironx-moveit-config (1.1.16-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 11 Jul 2016 00:00:00 -0000

ros-indigo-hironx-moveit-config (1.1.15-0trusty) trusty; urgency=high

  * Workaround MoveIt! RRT issue (see https://github.com/tork-a/rtmros_nextage/issues/170).
  * Contributors: Isaac I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 02 Jun 2016 00:00:00 -0000

ros-indigo-hironx-moveit-config (1.1.14-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 19 May 2016 00:00:00 -0000

ros-indigo-hironx-moveit-config (1.1.13-0trusty) trusty; urgency=high

  * [sys] Add test for eef geometry.
  * Contributors: Isaac I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 16 May 2016 00:00:00 -0000

ros-indigo-hironx-moveit-config (1.1.12-0trusty) trusty; urgency=high

  * [fix][test_hironx_moveit.py] fix "rospy.init_node() has already been called with different arguments" exception.
  * [fix][test_hironx_moveit.py] old file names
  * [improve][test-hironx-moveit.test] Relax test duration.
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 05 May 2016 00:00:00 -0000

ros-indigo-hironx-moveit-config (1.1.11-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 18 Feb 2016 00:00:00 -0000

ros-indigo-hironx-moveit-config (1.1.10-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 11 Feb 2016 00:00:00 -0000

ros-indigo-hironx-moveit-config (1.1.9-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 11 Feb 2016 00:00:00 -0000

ros-indigo-hironx-moveit-config (1.1.8-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 09 Feb 2016 00:00:00 -0000

ros-indigo-hironx-moveit-config (1.1.7-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 05 Feb 2016 00:00:00 -0000

ros-indigo-hironx-moveit-config (1.1.6-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 03 Feb 2016 00:00:00 -0000

ros-indigo-hironx-moveit-config (1.1.5-0trusty) trusty; urgency=high

  * [feat][ROS_CLient] Upperbody move group.
  * [feat] Rename both arms group to adjust to that of NEXTAGE Open.
  * [feat] Add torso and head move groups.
  * [feat] Factory-init pose for MoveIt! reserved pose.
  * Contributors: Isaac I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 26 Jan 2016 00:00:00 -0000

ros-indigo-hironx-moveit-config (1.1.4-0trusty) trusty; urgency=high

  * [sys][moveit config] Enable unit test for ROS_Client-RobotCommander integration
    Missing dependency
  * Contributors: Isaac I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 25 Jan 2016 00:00:00 -0000

ros-indigo-hironx-moveit-config (1.1.3-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 16 Dec 2015 00:00:00 -0000

ros-indigo-hironx-moveit-config (1.1.2-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 11 Nov 2015 00:00:00 -0000

ros-indigo-hironx-moveit-config (1.1.1-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 02 Nov 2015 00:00:00 -0000

ros-indigo-hironx-moveit-config (1.0.37-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 11 Sep 2015 00:00:00 -0000

ros-indigo-hironx-moveit-config (1.0.36-0trusty) trusty; urgency=high



=== debian/control ===
Source: ros-indigo-hironx-moveit-config
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-collada-urdf, ros-indigo-hironx-ros-bridge, ros-indigo-moveit-ros-move-group, ros-indigo-rostest
Homepage: http://wiki.ros.org/hironx_moveit_config
Standards-Version: 3.9.2

Package: ros-indigo-hironx-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-hironx-ros-bridge, ros-indigo-moveit-planners, ros-indigo-moveit-ros, ros-indigo-moveit-simple-controller-manager
Description: An automatically generated package with all the configuration and launch files for using the HiroNX with the MoveIt Motion Planning Framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-hironx-moveit-config//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
